/* line 3, app/assets/stylesheets/new_design/direct_uploads.scss */
.direct-upload {
  display: inline-block;
  position: relative;
  padding: 4px 15px;
  margin: 0 3px 3px 0;
  border: 1px solid #CCCCCC;
  border-radius: 3px;
  font-size: 14px;
}

/* line 13, app/assets/stylesheets/new_design/direct_uploads.scss */
.direct-upload--pending {
  opacity: 0.6;
}

/* line 17, app/assets/stylesheets/new_design/direct_uploads.scss */
.direct-upload__progress {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  opacity: 0.2;
  background: #0076ff;
  transition: width 120ms ease-out, opacity 60ms 60ms ease-in;
  transform: translate3d(0, 0, 0);
}

/* line 28, app/assets/stylesheets/new_design/direct_uploads.scss */
.direct-upload--complete .direct-upload__progress {
  opacity: 0.4;
}

/* line 32, app/assets/stylesheets/new_design/direct_uploads.scss */
.direct-upload--error {
  border-color: red;
}

/* line 36, app/assets/stylesheets/new_design/direct_uploads.scss */
input[type=file][data-direct-upload-url][disabled],
input[type=file][data-auto-attach-url][disabled] {
  display: none;
}
